routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*
Route::get('/', function () {
    return view('auth.login');
});
*/
//Auth::routes();
//Route::get('/home', 'HomeController@index')->name('home');


Auth::routes();

//Route::get('/home', 'HomeController@index');

Route::group(['middleware' => 'auth'], function () {
    Route::get('/home', 'HomeController@index')->name('home');

    Route::resource('cities', 'CityController');
    Route::view('cities/browse/file', 'cities.upload'); //only in laravel 5.5
    Route::post('cities/upload', ['uses' => 'CityController@upload']);
    Route::post('cities/download', ['uses' => 'CityController@download']);

    Route::resource('districts', 'DistrictController');
    Route::view('districts/browse/file', 'districts.upload');
    Route::post('districts/upload', ['uses' => 'DistrictController@upload']);
    Route::post('districts/download', ['uses' => 'DistrictController@download']);

    Route::resource('microDistricts', 'MicroDistrictController');
    Route::view('microDistricts/browse/file', 'micro_districts.upload');
    Route::post('microDistricts/upload', ['uses' => 'MicroDistrictController@upload']);
    Route::post('microDistricts/download', ['uses' => 'MicroDistrictController@download']);

    //Route::group(['middleware' => ['role:admin']], function () {
        Route::resource('dealTypes', 'DealTypeController');

        Route::resource('objectTypes', 'ObjectTypeController');
    //});

    Route::resource('objects', 'ObjectController');
    Route::view('objects/browse/file', 'objects.upload');
    Route::post('objects/upload', ['uses' => 'ObjectController@upload']);
    Route::post('objects/download', ['uses' => 'ObjectController@download']);


    Route::resource('roles', 'RoleController');

    Route::resource('users', 'UserController');
});





Route::resource('logs', 'LogController');

Route::resource('developers', 'DeveloperController');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Estate</title>
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

    <!-- Bootstrap 3.3.7 -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">


    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Ionicons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/admin-lte/2.4.2/css/AdminLTE.min.css">
    <!--<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/admin-lte/2.4.2/css/skins/_all-skins.min.css">-->

    <link rel="stylesheet" href="{{ url('/css/all-skins.min.css') }}">

    <!-- iCheck -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/iCheck/1.0.2/skins/square/_all.css">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css">

    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">

    <link href="https://cdnjs.cloudflare.com/ajax/libs/ekko-lightbox/5.3.0/ekko-lightbox.css" rel="stylesheet" type="text/css">

    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/fixedheader/3.1.3/css/fixedHeader.dataTables.min.css">


    <!-- custom -->
    <!--<link rel="stylesheet" href="{ url('/css/custom.css') }}">-->
    <link rel="stylesheet" href="{{ url('/css/default.css') }}">
    @include('layouts.css')

    @yield('css')
</head>

<body class="skin-blue sidebar-mini">
@if (!Auth::guest())
    <div class="wrapper">
        <!-- Main Header -->
        <header class="main-header">

            <!-- Logo -->
            <a href="{{ url("/home") }}" class="logo">
                <span class="logo-mini"><img src="/img/Logo-small.png"></span>
                <span class="logo-lg"><img src="/img/Logo-big.png"></span>

            </a>

            <!-- Header Navbar -->
            <nav class="navbar navbar-static-top" role="navigation">
                <!-- Sidebar toggle button-->
                <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
                    <span class="sr-only">Toggle navigation</span>
                </a>
                <div class="pull-left header">
                    <!--<a href="/">
                        <!--<img src="/image/header-logo.png" class="user-image" ><span class="logo-lg">Finers. Администратор</span>
                    </a>-->
                </div>
                <!-- Navbar Right Menu -->
                <div class="navbar-custom-menu">
                    <ul class="nav navbar-nav">
                        <!-- User Account Menu -->
                        <li class="dropdown user user-menu">

                            <!--start of custom-->
                            <a href="#" class="dropdown-toggle pull-left">

                                <span class="hidden-xs">{!! Auth::user()->email !!} </span>
                            </a>

                            <div class="pull-right">
                                <a href="{!! url('/logout') !!}" class="btn btn-default btn-flat"
                                   onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                    Выйти
                                </a>
                                <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                                    {{ csrf_field() }}
                                </form>
                            </div>
                            <!--end of custom-->


                            <ul class="dropdown-menu">
                                <!-- The user image in the menu -->
                                <li class="user-header">
                                    <img src="http://infyom.com/images/logo/blue_logo_150x150.jpg"
                                         class="img-circle" alt="User Image"/>
                                    <p>
                                        {!! Auth::user()->name !!}
                                        <small>Member since {!! Auth::user()->created_at->format('M. Y') !!}</small>
                                    </p>
                                </li>
                                <!-- Menu Footer-->
                                <li class="user-footer">
                                    <div class="pull-left">
                                        <a href="#" class="btn btn-default btn-flat">Profile</a>
                                    </div>
                                    <div class="pull-right">
                                        <a href="{!! url('/logout') !!}" class="btn btn-default btn-flat"
                                            onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                            Sign out
                                        </a>
                                        <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                                            {{ csrf_field() }}
                                        </form>
                                    </div>
                                </li>

                            </ul>
                        </li>

                    </ul>
                </div>
            </nav>
        </header>

        <!-- Left side column. contains the logo and sidebar -->
        @include('layouts.sidebar')
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            @yield('content')
        </div>

        <!-- Main Footer -->
        <footer class="main-footer" style="max-height: 100px;text-align: center">
            <strong>Copyright © 2018 <a href="#">Company</a>.</strong> All rights reserved.
        </footer>

    </div>
@else
    <nav class="navbar navbar-default navbar-static-top">
        <div class="container">
            <div class="navbar-header">

                <!-- Collapsed Hamburger -->
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#app-navbar-collapse">
                    <span class="sr-only">Toggle Navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>

                <!-- Branding Image -->
                <a class="navbar-brand" href="{!! url('/') !!}">
                    InfyOm Generator
                </a>
            </div>

            <div class="collapse navbar-collapse" id="app-navbar-collapse">
                <!-- Left Side Of Navbar -->
                <ul class="nav navbar-nav">
                    <li><a href="{!! url('/home') !!}">Home</a></li>
                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="nav navbar-nav navbar-right">
                    <!-- Authentication Links -->
                    <li><a href="{!! url('/login') !!}">Login</a></li>
                    <li><a href="{!! url('/register') !!}">Register</a></li>
                </ul>
            </div>
        </div>
    </nav>

    <div id="page-content-wrapper">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    @yield('content')
                </div>
            </div>
        </div>
    </div>
@endif

    <!-- jQuery 3.1.1 -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <!-- AdminLTE App -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/admin-lte/2.4.2/js/adminlte.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/iCheck/1.0.2/icheck.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/admin-lte/2.3.11/js/app.min.js"></script>

    <script  src="https://malsup.github.io/jquery.blockUI.js" type="text/javascript"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/ekko-lightbox/5.3.0/ekko-lightbox.js"></script>


    @yield('scripts')<!-- for datatables-->

    <script src="{{url('ckeditor/ckeditor/ckeditor.js')}}"> </script>

    @include('layouts.scripts')

    <!-- fixed header integrated with datatables   // || (strpos(URL::current(),'add') == false)-->

    <script src="https://cdn.datatables.net/fixedheader/3.1.3/js/dataTables.fixedHeader.min.js" type="text/javascript"></script>


    <script>
        //{"query":"query getCountryById {\n  countries(id:1){\n    id\n    country\n    domain\n  }\n}\n","variables":null,"operationName":"getCountryById"}
        // http://api.finers.ru/graphql  http://dev.finers.indi.by/graphql http://finance/graphql
        /*
        let xhr = new XMLHttpRequest();
        xhr.responseType = 'json';
        xhr.open("POST", "http://api.finers.ru/graphql");
        xhr.setRequestHeader("Content-Type", "application/json");
        xhr.setRequestHeader("Accept", "application/json");
        xhr.onload = function () {
            console.log('data returned:', xhr.response);
        };
        xhr.send(JSON.stringify({"query":"query getCountryById {\n  countries(id:2){\n    id\n    country\n    domain\n  }\n}\n","variables":null,"operationName":"getCountryById"}));
        */
    </script>


</body>
</html>

resources/views/layouts/datatables_css.blade.php
<!-- DataTable Bootstrap -->
<link href="https://cdn.datatables.net/1.10.12/css/dataTables.bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="//cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.2.2/css/buttons.bootstrap.min.css">

resources/views/layouts/datatables_js.blade.php
<!-- Datatables -->
<script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.12/js/dataTables.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.2.2/js/buttons.colVis.min.js"></script>
<script src="{{ asset('vendor/datatables/buttons.server-side.js') }}"></script>

resources/views/layouts/error.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row">

            <div class="col-md-12">
                <div class="jumbotron">
                    <h2 class="display-3">Админка  FINERS</h2>

                    <h3>404</h3>
                    <h4>Страница не найдена</h4>
                    <a href="/">Назад</a>
                </div>
            </div>

        </div>
    </div>
@endsection

resources/views/layouts/header.blade.php
<section class="content-header">

        <h1 class="pull-left">{{ $title }}</h1>

        <div class="pull-right">
            <a class="btn btn-primary btn-sm pull-right" style="" href="{!! url($link.'/browse/file') !!}">Загрузить файл в .xls, .csv</a>
        </div>

        {!! Form::open(['url' =>  [$link.'/download'], 'method' => 'post', 'class'=>'pull-right']) !!}
        {!! Form::button('Скачать в .xls', [
                'type' => 'submit',
                'class' => 'btn btn-danger btn-sm',
        ]) !!}
        {!! Form::close() !!}

    <div class="pull-right">
        <a class="btn btn-primary btn-sm pull-right" style="margin-bottom: 15px;" href="{!! route($link.'.create') !!}">	&#43; Добавить {{$add}}</a>
    </div>

</section>

resources/views/layouts/menu.blade.php
<li class="{{ Request::is('cities*') ? 'active' : '' }}">
    <a href="{!! route('cities.index') !!}"><i class="fa fa-map-marker"></i><span>Города</span></a>
</li>

<li class="{{ Request::is('districts*') ? 'active' : '' }}">
    <a href="{!! route('districts.index') !!}"><i class="fa fa-edit"></i><span>Районы</span></a>
</li>

<li class="{{ Request::is('microDistricts*') ? 'active' : '' }}">
    <a href="{!! route('microDistricts.index') !!}"><i class="fa fa-edit"></i><span>Микрорайоны</span></a>
</li>

<li class="{{ Request::is('developers*') ? 'active' : '' }}">
    <a href="{!! route('developers.index') !!}"><i class="fa fa-edit"></i><span>Застройщики</span></a>
</li>

<li class="{{ Request::is('dealTypes*') ? 'active' : '' }}">
    <a href="{!! route('dealTypes.index') !!}"><i class="fa fa-edit"></i><span>Тип сделки</span></a>
</li>

<li class="{{ Request::is('objectTypes*') ? 'active' : '' }}">
    <a href="{!! route('objectTypes.index') !!}"><i class="fa fa-edit"></i><span>Тип объекта</span></a>
</li>


<li class="{{ Request::is('objects*') ? 'active' : '' }}">
    <a href="{!! route('objects.index') !!}"><i class="fa fa-edit"></i><span>Объект</span></a>
</li>

<br>
<li class="{{ Request::is('users*') ? 'active' : '' }}">
    <a href="{!! route('users.index') !!}"><i class="fa fa-edit"></i><span>Пользователи</span></a>
</li>
<li class="{{ Request::is('roles*') ? 'active' : '' }}">
    <a href="{!! route('roles.index') !!}"><i class="fa fa-edit"></i><span>Роли</span></a>
</li>

<li class="{{ Request::is('logs*') ? 'active' : '' }}">
    <a href="{!! route('logs.index') !!}"><i class="fa fa-edit"></i><span>Logs</span></a>
</li>

resources/views/layouts/scripts.blade.php
<script>

    //color of status
    let obj = $('.status>select');
    $.each( obj, function( key, value ) {
        //console.log($(value).val());
        if($(value).val()==1){
            $(this).addClass('active');
        }
        else{
            $(this).addClass('inactive');
        }
    });
    $('.status').on('change', 'select', function(){
            $(this).toggleClass('active').toggleClass('inactive');
    });
    //end color of status

    $('.reset-rates').click(function(){
        event.preventDefault();
        let month = $('.investment_rates .month');
        $.each( month, function( key, value ) {
            $(value).val('');
        });
    });


    //preloader for departments upload, upload1
    $('form').one('click', '#save_departments', function (event) {
        event.preventDefault();
        showPreloader($(this), 'Происходит загрузка данных, пожалуйста подождите...',280000);
        /*
         $.blockUI({
             message: "<h3>Происходит загрузка данных, пожалуйста подождите...</h3>",
             timeout: 35000, //19000
             onUnBlock:$(this).parents("form").submit()
         });
         */
    });


    //preloader for departments download, download1
    $('form').one('click', '#download_departments', function (event) {
        event.preventDefault();
        showPreloader($(this), 'Происходит выгрузка данных, пожалуйста подождите...',180000);
    });

    $('form').one('click', '#download1_departments', function (event) {
        event.preventDefault();
        showPreloader($(this), 'Происходит выгрузка данных, пожалуйста подождите...',180000);
    });

    //preloader for departments fill coords
    $('form').one('click', '#fill_coords', function (event) {
        event.preventDefault();
        showPreloader($(this), 'Происходит заполнение координат, пожалуйста подождите...',80000);
    });

    //preloader for departments check coords
    $('form').one('click', '#check_coords', function (event) {
        event.preventDefault();
        showPreloader($(this), 'Происходит проверка координат, пожалуйста подождите...',80000);
    });

    function showPreloader($elem, $message,$time){
        $.blockUI({
            message: "<h3>"+$message+"</h3>",
            timeout: $time,
            onUnBlock:$elem.parents("form").submit()
        });
    }
    //end of preloader

    //checkbox
    function changeCheckbox(name){
        if($('input[name="'+name+'"]').val()==='0'){
            $('input[name="'+name+'"]').prop('checked','');
        }
        $('input[name="'+name+'"]').click(function(){
            if($(this).prop('checked')===true){
                $(this).val('1');
            }
            else{
                $(this).val('0');
            }
        });
    }

    changeCheckbox('activity');
    changeCheckbox('insurance_status');
    changeCheckbox('end_of_term_status');
    changeCheckbox('monthly_payment_status');
    changeCheckbox('cancellation_status');
    changeCheckbox('capitalization_status');
    changeCheckbox('refill_status');
    changeCheckbox('partial_withdrawal_status');
    changeCheckbox('for_pensioners_status');
    //end of checkbox



    //divide into blocks on investment page
    if($('.dataTable').length>0){

        function initHidden($class){
            if($('.id').length>1){
                //console.log($class);
                table.columns().visible( false );
                table.columns('.id').visible( true );
                table.columns('.actions').visible( true );
                table.columns('.'+$class).visible( true );
            }
        }
        function getHidden(){
            var id = $('.changeVisibility.btn-primary').attr('id');
            //console.log(id);
            initHidden(id);
        }

        //format % in dataTable investment_rates
        function getFormat(){
            var obj = $(".investment_rates td").not(":has(a)").wrapInner("<a/>");//$(".investment_rates td").not().has(">a");//$(".investment_rates td").not(".actions");
            $.each(obj, function( key, value ) {
                str= $(value).text().replace(".", ",");
                $(this).text(str);
            });

            /*
            table.columns(7).data()
                .map( function ( value, index ) { //each

                    if(value.length>0){
                        console.log( value );
                        value.splice(index, 1000, 99 );
                        console.log( value );
                    }

                });
                */

        }

        const table = window.LaravelDataTables['dataTableBuilder'];
        table.on('init', function () {
                $('.changeVisibility').on('click', function () {
                    $('.changeVisibility.btn-primary').removeClass('btn-primary').addClass('btn-default');
                    $(this).addClass('btn-primary');
                    $(this).removeClass('btn-default');
                    var id = $(this).attr('id');
                    initHidden(id);
                    //console.log(id);
                });
                //divider in datatables rates
                /*
                if($('a.divider-line').length>0){
                    $('a.divider-line').parent().css('border-top', '1px solid #111');//.addClass('divider');
                    $('a.divider-line').parent().siblings().css('border-top', '1px solid #111');
                }
                */
                let currency = $('.divider-line');
                let previous = -1;
                $.each(currency, function( key, value ) {
                    if(previous !== -1){
                        console.log($(currency[previous]).html());
                        if($(currency[previous]).html() !== $(currency[key]).html()){
                            console.log(true);
                            $(this).parent().css('border-top', '1px solid #111');
                            $(this).parent().siblings().css("border-top", "1px solid #111");
                        }
                    }
                    previous = key;
                });

        });

        table
            .on( 'order.dt',  function () {
                getHidden();
                getFormat();
            })
            .on( 'search.dt', function () {
                getHidden();
                getFormat();
            })
            .on( 'page.dt',   function () {
                getHidden();
                getFormat();
            });
    }

    //end of dividing into blocks on investment page

    $('#dataTableBuilder_wrapper').on('click', '.paginate_button ', function () {
        //console.log(true);
    });



    //visual editor for fields
    if($('.ckeditor1').length>0){
        CKEDITOR.replace('html');
    }
    //end of visual editor for fields


    function addColor(val){
         if(val == 'customer'){
             $('input[name="color"]').show().attr('required','required');
             $('.color').show();
             var color = $('input[name="color"]').val();
             $('.color').css('background',color );

             $('input[name="color"]').mouseout(function(){ //focus, chnage blur mousemove
                 var color = $('input[name="color"]').val();
                 $('.color').css('background',color );
             });
         }
         else{
             $('input[name="color"]').hide().removeAttr('required');
             $('.color').hide();
         }
    }
    if($('.deposit').length>0){
        addColor($('input[name="color1[]"]:checked').val());
        $('input[name="color1[]"]').click(function(){
            addColor($(this).val());
        });
    }


    //lightbox gallery
    $(document).on('click', '[data-toggle="lightbox"]', function(event) {
        event.preventDefault();
        $(this).ekkoLightbox();
    });


    //preview img gallery museum
    if($("#img_dep").length>0) {
        document.getElementById("img_dep").onchange = function () {
            showPreview(this);
        };
    }

    function showPreview(elem) {
        var reader = new FileReader();
        reader.onload = function (e) {
            if (e.total > 3000000) {//1mb - 1000 kb - 1 000 000 byte
                $('#imageerror_dep').text('Размер изображения не должен превышать 3 мб');
                $jimage = $(".img_dep").last();
                $jimage.val("");
                $jimage.wrap('<form>').closest('form').get(0).reset();
                $jimage.unwrap();
                $('#uploadedimage_dep').removeAttr('src');
                return;
            }
            $('#imageerror_dep').text('');
            $('.uploadedimage_dep').last().attr('src',e.target.result);
            $(".uploadedimage_dep").last().css('margin-bottom', '10px');

            //new
            var id_img = $('.delete-img').last().attr('id');
            id_img = ++id_img;
            var classBoot= 'col-sm-3';
            var str='<div class="'+classBoot+'"><input type="hidden" name="MAX_UPLOAD_SIZE" value="3000"><img id="uploadedimage_dep" height="160px" class="uploadedimage_dep"/>' +
                '<span id="imageerror_dep" style="font-weight: bold; color: red" >' +
                '</span><input id="img_dep" accept="image/jpg,image/jpeg,image/png" name="img_dep[]" type="file" class="img_dep"></div>';
            var str1='<p class="text-center"><input name="del_img[]" type="hidden" value="' + id_img + '" class="del_img">'+
                '<a href="#" class="btn btn-danger btn-sm delete-img" id="' + id_img + '">Удалить </a></p>';

            $('.uploadedimage_dep').last().show();
            $('.img_dep').last().hide();
            $('.img_dep').last().parent().after(str);
            $('.img_dep').eq(-2).after(str1);
            deleteImgMuseum();

            var last = $(".img_dep").last();
            last.on('change', function(){
                showPreview(last[0]);
            });
        };
        reader.readAsDataURL(elem.files[0]);
    }

    //delete img gallery museum
    deleteImgMuseum();
    function deleteImgMuseum(){
        $('.delete-img').click(function () {
            event.preventDefault();
            $(this).parent().parent().remove();
        });
    }
    //end of delete and preview img gallery museum


    if($("#img").length>0) {
        document.getElementById("img").onchange = function () {
            var reader = new FileReader();
            reader.onload = function (e) {
                if (e.total > 10000000) {//1mb - 1000 kb - 1 000 000 byte
                    $('#imageerror1').text('Размер изображения не должен превышать 10 мб');
                    $jimage = $("#img");
                    $jimage.val("");
                    $jimage.wrap('<form>').closest('form').get(0).reset();
                    $jimage.unwrap();
                    $('#uploadedimage1').removeAttr('src');
                    return;
                }
                $('#imageerror1').text('');
                document.getElementById("uploadedimage1").src = e.target.result;
            };
            reader.readAsDataURL(this.files[0]);
        };
    }

    /*reset filter*/
    if(window.location.pathname ==='/investmentRates' || window.location.pathname ==='/investments'){
        if(window.location.search.length>0){
            $('#filter').collapse('show');
        }
    }
    /*end of reset filter*/




</script>

resources/views/layouts/sidebar.blade.php
<aside class="main-sidebar" id="sidebar-wrapper">

    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">

        <ul class="sidebar-menu">
            @include('layouts.menu')
        </ul>

        <!-- /.sidebar-menu -->
    </section>
    <!-- /.sidebar -->
</aside>

resources/views/layouts/upload.blade.php
<section class="content-header">
    <h1>
        Загрузка файла с {{$title_ru}}
    </h1>
</section>
<div class="content">

    <!--include('adminlte-templates::common.errors')-->

    @include('flash::message')

    <div class="clearfix"></div>
    <div class="box box-primary">

        <div class="box-body">
            <div class="row">
                {!! Form::open(['url' => $link.'/upload', 'files'=>true,'enctype'=>'multipart/form-data']) !!}

                <div class="form-group col-sm-12 col-lg-12">
                    {!! Form::label($link, 'Файл:') !!}
                    {!! Form::file($link, null, ['class' => 'form-control']) !!}
                </div>

                <div class="form-group col-sm-12">
                    {!! Form::submit('Загрузить', ['class' => 'btn btn-primary']) !!}

                        <a href="{!! route($link.'.index') !!}" class="btn btn-default">Отмена</a>

                </div>
                {!! Form::close() !!}

                <div class="col-sm-12">
                    <p>* Для загрузки необходимо сохранить лист Excel как csv-файл: "Файл"->"Скачать как"->"csv-файл (текущий лист)"</p>
                    <p>* При повторной загрузке csv-файла изменения сделанные в админ-панели не сохраняться</p>
                </div>
            </div>
        </div>
    </div>
</div>